<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 26/5/2018
 * Time: 12:14 AM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['idPersonalServicio']) && isset($_REQUEST['estado'])) {
            $estado = $_REQUEST['estado'];
            $personalservicioid = $_REQUEST['idPersonalServicio'];
            $personalservicio = R::load('personalservicio', $personalservicioid);
            $personalservicio->fechaModificacion = date('Y-m-d H:i:s');
            $personalservicio->estado = $estado;
            $id = R::store($personalservicioid);
            include '../comun/mensajeModificado.php';
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}